Debian Bug report logs - #558409
FTBFS: ../include/argus_filter.h:228: error: conflicting types for 'bpf_dump'

version graph

Package: src:argus; Maintainer for src:argus is Andrew Pollock <apollock@debian.org>;

Reported by: Jakub Wilk <ubanus@users.sf.net>

Date: Sat, 28 Nov 2009 18:06:01 UTC

Severity: serious

Tags: sid, squeeze, wheezy

Found in version argus/1:2.0.6.fixes.1-16

Fixed in version 1:2.0.6.fixes.1-16.1

Done: Jakub Wilk <jwilk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ubanus@users.sf.net, Andrew Pollock <apollock@debian.org>:
Bug#558409; Package argus-server. (Sat, 28 Nov 2009 18:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <ubanus@users.sf.net>:
New Bug report received and forwarded. Copy sent to ubanus@users.sf.net, Andrew Pollock <apollock@debian.org>. (Sat, 28 Nov 2009 18:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <ubanus@users.sf.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: ../include/argus_filter.h:228: error: conflicting types for 'bpf_dump'
Date: Sat, 28 Nov 2009 19:00:29 +0100
Package: argus-server
Version: 1:2.0.6.fixes.1
Severity: serious
Justification: no longer builds from source

Hello,

Your package failed to build from source[1] in a clean sid chroot. Here 
is relevant part of the build log:

> /usr/bin/make
> make[1]: Entering directory `/tmp/buildd/argus-2.0.6.fixes.1'
> ### Making in /tmp/buildd/argus-2.0.6.fixes.1/common
> make[2]: Entering directory `/tmp/buildd/argus-2.0.6.fixes.1/common'
> gcc -O2 -Wall -g -O2 -I. -I../include -I/usr/include/pcap  -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -D_FILE_OFFSET_BITS=64 -DHAVE_TCP_WRAPPER=1 -DHAVE_STRING_H=1 -DHAVE_FCNTL_H=1 -DHAVE_SYS_FILE_H=1 -DHAVE_SYSLOG_H=1 -DHAVE_ETHER_HOSTTON=1 -DHAVE_STRERROR=1 -DCONFIG_X86_BSWAP=1 -DSTDC_HEADERS=1  -DARGUS_SYSLOG=1 -c ./argus_parse.c
> In file included from ./argus_parse.c:120:
> ../include/argus_filter.h:228: error: conflicting types for 'bpf_dump'
> /usr/include/pcap/pcap.h:342: error: previous declaration of 'bpf_dump' was here
> make[2]: *** [argus_parse.o] Error 1
> make[2]: Leaving directory `/tmp/buildd/argus-2.0.6.fixes.1/common'
> ### Done with /tmp/buildd/argus-2.0.6.fixes.1/common
> ### Making in /tmp/buildd/argus-2.0.6.fixes.1/server
> make[2]: Entering directory `/tmp/buildd/argus-2.0.6.fixes.1/server'
> gcc -O2 -Wall -g -O2 -I. -I/usr/include/pcap  -I../include  -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -D_FILE_OFFSET_BITS=64 -DHAVE_TCP_WRAPPER=1 -DHAVE_STRING_H=1 -DHAVE_FCNTL_H=1 -DHAVE_SYS_FILE_H=1 -DHAVE_SYSLOG_H=1 -DHAVE_ETHER_HOSTTON=1 -DHAVE_STRERROR=1 -DCONFIG_X86_BSWAP=1 -DSTDC_HEADERS=1  -c ./argus.c
> In file included from ./ArgusOutput.h:83,
>                  from ./argus.c:58:
> ../include/argus_filter.h:228: error: conflicting types for 'bpf_dump'
> /usr/include/pcap/pcap.h:342: error: previous declaration of 'bpf_dump' was here
> make[2]: *** [argus.o] Error 1
> make[2]: Leaving directory `/tmp/buildd/argus-2.0.6.fixes.1/server'
> ### Done with /tmp/buildd/argus-2.0.6.fixes.1/server
> make[1]: Leaving directory `/tmp/buildd/argus-2.0.6.fixes.1'
>  fakeroot debian/rules binary
> dh_installdirs
> dh_installdirs: Compatibility levels before 5 are deprecated.
> test -e debian/control
> /usr/bin/make
> make[1]: Entering directory `/tmp/buildd/argus-2.0.6.fixes.1'
> ### Making in /tmp/buildd/argus-2.0.6.fixes.1/common
> make[2]: Entering directory `/tmp/buildd/argus-2.0.6.fixes.1/common'
> gcc -O2 -Wall -g -O2 -I. -I../include -I/usr/include/pcap  -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -D_FILE_OFFSET_BITS=64 -DHAVE_TCP_WRAPPER=1 -DHAVE_STRING_H=1 -DHAVE_FCNTL_H=1 -DHAVE_SYS_FILE_H=1 -DHAVE_SYSLOG_H=1 -DHAVE_ETHER_HOSTTON=1 -DHAVE_STRERROR=1 -DCONFIG_X86_BSWAP=1 -DSTDC_HEADERS=1  -DARGUS_SYSLOG=1 -c ./argus_parse.c
> In file included from ./argus_parse.c:120:
> ../include/argus_filter.h:228: error: conflicting types for 'bpf_dump'
> /usr/include/pcap/pcap.h:342: error: previous declaration of 'bpf_dump' was here
> make[2]: *** [argus_parse.o] Error 1
> make[2]: Leaving directory `/tmp/buildd/argus-2.0.6.fixes.1/common'
> ### Done with /tmp/buildd/argus-2.0.6.fixes.1/common
> ### Making in /tmp/buildd/argus-2.0.6.fixes.1/server
> make[2]: Entering directory `/tmp/buildd/argus-2.0.6.fixes.1/server'
> gcc -O2 -Wall -g -O2 -I. -I/usr/include/pcap  -I../include  -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -D_FILE_OFFSET_BITS=64 -DHAVE_TCP_WRAPPER=1 -DHAVE_STRING_H=1 -DHAVE_FCNTL_H=1 -DHAVE_SYS_FILE_H=1 -DHAVE_SYSLOG_H=1 -DHAVE_ETHER_HOSTTON=1 -DHAVE_STRERROR=1 -DCONFIG_X86_BSWAP=1 -DSTDC_HEADERS=1  -c ./argus.c
> In file included from ./ArgusOutput.h:83,
>                  from ./argus.c:58:
> ../include/argus_filter.h:228: error: conflicting types for 'bpf_dump'
> /usr/include/pcap/pcap.h:342: error: previous declaration of 'bpf_dump' was here
> make[2]: *** [argus.o] Error 1
> make[2]: Leaving directory `/tmp/buildd/argus-2.0.6.fixes.1/server'
> ### Done with /tmp/buildd/argus-2.0.6.fixes.1/server
> make[1]: Leaving directory `/tmp/buildd/argus-2.0.6.fixes.1'

[1] Strictly speaking, it didn't fail, but ("thanks" to #258832) 
produced useless binaries.

-- 
Jakub Wilk




Bug reassigned from package 'argus-server' to 'src:argus'. Request was from Jakub Wilk <ubanus@users.sf.net> to control@bugs.debian.org. (Sat, 28 Nov 2009 19:03:27 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 1:2.0.6.fixes.1. Request was from Jakub Wilk <ubanus@users.sf.net> to control@bugs.debian.org. (Sat, 28 Nov 2009 19:03:28 GMT) Full text and rfc822 format available.

Bug Marked as found in versions argus/1:2.0.6.fixes.1-16. Request was from Jakub Wilk <ubanus@users.sf.net> to control@bugs.debian.org. (Sat, 28 Nov 2009 19:03:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Pollock <apollock@debian.org>:
Bug#558409; Package src:argus. (Sun, 20 Dec 2009 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Andrew Pollock <apollock@debian.org>. (Sun, 20 Dec 2009 17:33:05 GMT) Full text and rfc822 format available.

Message #16 received at 558409@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 502603@bugs.debian.org
Cc: 558409@bugs.debian.org
Subject: Patch to fix all l10n issues of argus
Date: Sun, 20 Dec 2009 18:27:59 +0100
[Message part 1 (text/plain, inline)]
Dear maintainer of argus,

On Sunday, December 13, 2009 I sent you a notice announcing my intent to upload a
NMU of your package to fix its pending l10n issues, after an initial
notice sent on Tuesday, December 08, 2009.

I unfortunately can't build the NMU because of #558409.

I therefore send the full patch so that anyone doing the NMU to fix
the FTBFS may also fix the trivial l10n issues.

Please notice that my planned l10n NMu was also fixing a few lintian
warnings (and, yes, I generally bump debhelper compatibility in NMUs).

Please also notice that:
- one translation had an issue with commas separating choices
- I splitted "_Choices" to "__Choices" by using the method documented
in po-debconf(7)



Source: argus
Version: 1:2.0.6.fixes.1-16.1
Distribution: unstable
Urgency: low
Maintainer: Christian Perrier <bubulle@debian.org>
Date: Sun, 20 Dec 2009 08:12:31 +0100
Closes: 502603 548145 561263
Changes: 
 argus (1:2.0.6.fixes.1-16.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Do not ignore errors in config script
   * Split "_Choices" in "__Choices" in templates
   * Bump debhelper compatibility to 7
   * Fix pending l10n issues. Debconf translations:
     - Italian (Vincenzo Campanella).  Closes: #502603
     - Spanish (Francisco Javier Cuadrado).  Closes: #548145
     - Simplified Chinese (Ji ZhengYu) - commas fixed in Choices field
       translation.  Closes: #561263

-- 


[argus.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Thu, 18 Mar 2010 08:13:23 GMT) Full text and rfc822 format available.

Reply sent to Jakub Wilk <jwilk@debian.org>:
You have taken responsibility. (Thu, 18 Mar 2010 15:21:12 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <ubanus@users.sf.net>:
Bug acknowledged by developer. (Thu, 18 Mar 2010 15:21:12 GMT) Full text and rfc822 format available.

Message #23 received at 558409-done@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Christian PERRIER <bubulle@debian.org>, 558409-done@bugs.debian.org
Cc: Steffen Joeris <white@debian.org>
Subject: Re: Bug#558409: Patch to fix all l10n issues of argus
Date: Thu, 18 Mar 2010 16:19:55 +0100
[Message part 1 (text/plain, inline)]
Version: 1:2.0.6.fixes.1-16.1

* Christian PERRIER <bubulle@debian.org>, 2009-12-20, 18:27:
>On Sunday, December 13, 2009 I sent you a notice announcing my intent 
>to upload a NMU of your package to fix its pending l10n issues, after 
>an initial notice sent on Tuesday, December 08, 2009.
>
>I unfortunately can't build the NMU because of #558409.

It looks like Steffen fixed #558409 in his NMU (which unfortunately 
didn't include l10n fixes).

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:39 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Apr 2011 07:30:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:09:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.